<?php

namespace Addons\Smsbao;

use Common\Controller\Addon;

/**
* 短信宝短信插件
*/
class SmsBaoAddon extends Addon
{
	public $info = array(
		'name' => 'SmsBao',
		'title' => '短信宝',
		'description' => '短信宝短信插件 http://www.smsbao.com',
		'status' => 1,
		'author' => '短信宝小编',
		'version' => '1.0.0'
	);

	public  function install()
	{
		return true;
	}

	public function uninstall()
	{
		return true;
	}

    public function sms()
    {
        return true;
    }

	public function sendSms($mobile,$content)
	{	
		$config = get_addon_config('SmsBao');
		$cont = explode('【', $content);
		$data['u'] = modC('SMS_UID','','USERCONFIG');
		$data['p'] = md5(modC('SMS_PWD','','USERCONFIG'));
		$data['m'] = $mobile;
		$data['c'] = '【'.$config['sign'].'】'.$cont['0'];
		$url = 'http://api.smsbao.com/sms';
		$res = $this->post($url,$data);
		return $res;

	}


	private function post($url,$data,$timeout)
	{
 			$curl = curl_init();
            curl_setopt($curl, CURLOPT_URL, $url);
        	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
            curl_setopt($curl, CURLOPT_POST, 1);
            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        	$ret = curl_exec($curl);
        	curl_close($curl);
	        if($ret == 0) {
	            return true;
	        } else {
	            return "发送失败! 状态：" . $ret .' '. $this->getCode($ret['Code']);
	        }	
	}

	private function getCode($code)
	{
		switch ($code) {
			case 0: return '短信发送成功';
            case -1: return '参数不全';
            case -2: return '服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！';
            case 30: return '密码错误';
            case 40: return '账号不存在';
            case 41: return '余额不足';
            case 42: return '帐户已过期';
            case 43: return 'IP地址限制';
            case 50: return '内容含有敏感词';
		}

	}
}